%define luaver  5.2
%define luaoldver 5.1
%define lualibdir %{_libdir}/lua
%define luapkgdir %{_datadir}/lua
%define oname   luasocket

%define rcnum      rc1

Summary:        Network access library for the Lua programming language
Name:           lua-socket
Version:        3.0
Release:        %mkrel -c %{rcnum} 1
License:        MIT
Group:          Development/Other
URL:            http://www.impa.br/~diego/software/luasocket
Source0:        https://github.com/diegonehab/luasocket/archive/v%{version}-%{rcnum}.tar.gz

BuildRequires:  pkgconfig(lua) >= %{luaver}
Requires:       lua >= %{luaver}

%description
LuaSocket is a Lua extension library that is composed by two parts: a
C layer that provides support for the TCP and UDP transport layers,
and a set of Lua modules that add support for the SMTP (sending
e-mails), HTTP (WWW access) and FTP (uploading and downloading files)
protocols.

This package was built for Lua %{luaver}.
See %{name}%{luaoldver} for the Lua %{luaoldver} compatibility version.

%package -n     %{name}%{luaoldver}
Summary:        %{summary} (Lua 5.1)
Group:          %{group}
Requires:       lua%{luaoldver}

%description -n %{name}%{luaoldver}
LuaSocket is a Lua extension library that is composed by two parts: a
C layer that provides support for the TCP and UDP transport layers,
and a set of Lua modules that add support for the SMTP (sending
e-mails), HTTP (WWW access) and FTP (uploading and downloading files)
protocols.

This package was built for Lua %{luaoldver}.
See %{name} for the Lua %{luaver} version.

%prep
%setup -q -n %{oname}-%{version}-%{rcnum}
sed -i -e "s@CDIR_linux?=lib/lua@CDIR_linux?=%{_lib}/lua@g" \
    src/makefile

%build
%setup_compile_flags
%make

%install
%make install-both-unix \
    DESTDIR=%{buildroot} \
    LUAPREFIX_linux=%{_prefix}

%files
%doc NEW README doc/*
%{lualibdir}/%{luaver}/mime/*.so
%{lualibdir}/%{luaver}/socket/*.so
%{luapkgdir}/%{luaver}/*.lua
%{luapkgdir}/%{luaver}/socket/*.lua

%files -n       %{name}%{luaoldver}
%doc NEW README doc/*
%{lualibdir}/%{luaoldver}/mime/*.so
%{lualibdir}/%{luaoldver}/socket/*.so
%{luapkgdir}/%{luaoldver}/*.lua
%{luapkgdir}/%{luaoldver}/socket/*.lua


%changelog
* Tue Mar 27 2018 adrianomorselli <adrianomorselli> 3.0-0rc1.1uplos2018
- update
